Loading...
Searching...
No Matches
InputSource Struct Reference
Collaboration diagram for InputSource:
[legend]

## Public Attributes

Entity | entity
FILE16 * | file16
Char * | line
int | line_alloc
int | line_length
int | next
int | seen_eoe
int | complicated_utf8_line
int | bytes_consumed
int | bytes_before_current_line
int | line_end_was_cr
int | line_number
int | not_read_yet
struct input_source * | parent
int | nextin
int | insize
unsigned char | inbuf [4096]

## Detailed Description

Definition at line 48 of file input.h.

## Member Data Documentation

## entity

Entity InputSource::entity

Definition at line 49 of file input.h.

## file16

FILE16* InputSource::file16

Definition at line 51 of file input.h.

## line

Char* InputSource::line

Definition at line 53 of file input.h.

## line_alloc

int InputSource::line_alloc

Definition at line 54 of file input.h.

## line_length

int InputSource::line_length

Definition at line 54 of file input.h.

## next

int InputSource::next

Definition at line 55 of file input.h.

## seen_eoe

int InputSource::seen_eoe

Definition at line 57 of file input.h.

## complicated_utf8_line

int InputSource::complicated_utf8_line

Definition at line 58 of file input.h.

## bytes_consumed

int InputSource::bytes_consumed

Definition at line 59 of file input.h.

## bytes_before_current_line

int InputSource::bytes_before_current_line

Definition at line 60 of file input.h.

## line_end_was_cr

int InputSource::line_end_was_cr

Definition at line 61 of file input.h.

## line_number

int InputSource::line_number

Definition at line 63 of file input.h.

## not_read_yet

int InputSource::not_read_yet

Definition at line 64 of file input.h.

## parent

struct input_source* InputSource::parent

Definition at line 66 of file input.h.

## nextin

int InputSource::nextin

Definition at line 68 of file input.h.

## insize

int InputSource::insize

Definition at line 69 of file input.h.

## inbuf

unsigned char InputSource::inbuf[4096]

Definition at line 70 of file input.h.

The documentation for this struct was generated from the following file:

- include/rxp/input.h